# class Array

### Public Instance Methods

to_yaml( opts = {} ) click to toggle source
Calls superclass method Object#to_yaml

    # File lib/syck/rubytypes.rb, line 109
    def to_yaml( opts = {} )
    return super unless YAML == Syck
            Syck::quick_emit( self, opts ) do |out|
        out.seq( taguri, to_yaml_style ) do |seq|
            each do |x|
                seq.add( x )
            end
        end
    end
    end

yaml_initialize( tag, val ) click to toggle source

    # File lib/syck/rubytypes.rb, line 108
    def yaml_initialize( tag, val ); concat( val.to_a ); end